ScriptWorx Help:

Welcome to ScriptWorx 5.0!

ScriptWorx is the development tool designed to save you time on your corporate and professional, dyanmic sites. If you have any questions, please contact our technical support team.

Don't forget to visit us on the web: SoftLite Homepage


ScriptWorx Help Topic

Help Topic: SoftLite Support


ScriptWorx Help

SoftLite Support - Technical Assistance

If you have registered your copy of ScriptWorx, you can take advantage of our technical support services. You can freely access our Knowledge Base, Support Centers and forums, which we recommend for most purposes.

Our technical support staff are available from 9am to 5pm (BST) on Monday - Friday via telephone. If you have a premium support package, you may wish to check details on telephone numbers and availability.

We will happily accept international calls, however, you may wish to contact support via email. We will need your name, address, registration number and your telephone number.


ScriptWorx Help

SoftLite Support - Developers

SoftLite has a range of free services to offer to developers, through community sites, code and extension exchanges and free access to a range of white papers too.

Community Site

The ScriptWorx community site lets you talk with other ScriptWorx users, exchange ideas and techniques and even a free email address.

SoftLite Network

The SoftLite Network is a SoftLite-operated site for ScriptWorx extensions, usually in the form of JavaScript or VBScript packages. Many of the extensions are rated and we encourage users to submit their work to share with others.

White Papers

A variety of white papers are available from our site, click here to view a list of white papers.


ScriptWorx Help

SoftLite Support - Register Today

By registering your SoftLite product, you can take advantage of special services and offers.

  • Free online installation support.
  • Get free updates electronically.
  • A voucher entitling you to a month of free web hosting.
  • One free call to technical support services*.

What are you waiting for? Register your copy today and make the most of ScriptWorx - it's free.


ScriptWorx Help Topic

Help Topic: Installing ScriptWorx


Installing ScriptWorx

Installing ScriptWorx - Adding ScriptWorx to Your PC

Place the ScriptWorx CD-Rom into your CD drive, which should automatically load the menu system. If the menu system does not appear, please take the following steps:

  • Choose "Run" from the Windows Start Menu.
  • Type in "x:\welcome.exe", excluding the quotes.
  • Substitute the drive letter of your CD drive in place of 'x'.
  • Press "OK".

Click the "Install ScriptWorx" button, which will guide you through the installation process. When prompted, enter your installation password, as indicated in your product documentation.

There are three installation types: Typical, Complete or Custom. For most users, the complete option is recommended, so that all the components you need will be available from the start.

The typical installation format does not include the web server, speech recognition or international dictionaries - if you need these, please choose "Complete" or "Custom".


Removing ScriptWorx

Installing ScriptWorx - Removing ScriptWorx from Your PC

To remove your ScriptWorx installation (within ScriptWorx): Use the Windows Control Panel to navigate to the "Add/Remove Programs" option, then choose ScriptWorx from the list of installed programs.

Note: All components will be removed by selecting the "Remove" option.


ScriptWorx Help Topic

Help Topic: Introduction to the Interface


Customizing the Editor

Introduction to the Interface - The Editor

Every time that a file is created or opened in ScriptWorx, the Editor is invoked to edit that file. As with all HTML editors, ScriptWorx color-codes your code, but ScriptWorx can also support highlighting for Pascal, Visual BASIC, C++, C#, Perl and more.

The gutter is usually present on the left side of the editor, which can show line numbers or bookmarked lines. The margin is a thin line on the right side of the editor, which shows the point at which text wraps or will display where text should be wrapped to improve readability.

Furthermore, the editor can have several options set, including:

Feature | Description
Auto Indent | Indents new lines at the same position of previous lines.
Smart Tabs | Tabs on new lines match tab positions of previous lines.
Group Undo | Undo many commands with one click.
Highlight URL's | Highlights URL's and each URL can be clicked to launch the appropriate location.
Cursor Past EOF/EOL | Allows you to move the cursor past the final line in a document (EOL) or beyond the end of a line (EOF).


Previewing Documents

Introduction to the Interface - Previewing Documents

ScriptWorx has a built-in preview which uses Internet Explorer (if available), but users without Internet Explorer will be able to use an alternative preview method. If you have Mozilla installed on your system, ScriptWorx can also use the Mozilla control for internal previews.

To use the internal preview, click on the "Preview" tab below the editor. If you wish to use Mozilla as a preview tool, you should go to the Mozilla site and download the latest version. Should Mozilla already be present on your system, open up the ScriptWorx "Preferences" window (see Edit menu) and click on the "Display" option and check the "Enabled Mozilla Preview" box.

Using Other Browsers

You can use an external browser (up to six) to preview your pages. Simply go to the "Tools" menu, select "Preview" and choose the browser you wish to use. For details on how to add or remove browsers, see below.

  • Open the "Preferences" window from the "Edit" menu.
  • Click on the "Programs" option is the list on the left.
  • Choose "Auto-Configure" to allow ScriptWorx to find Internet Explorer, Netscape Navigator, Netscape 6, Opera and Lynx.
  • Alternatively you can add browsers manually.
  • Click the "Add" button and use the dialog to browse for your Browser's executable.
  • When the browser has been added, choose "Rename" browser to set the name of the browser. Repeat as needed.
  • Click the "OK" button to update your browser options.


ScriptWorx Help

Introduction to the Interface - Code Controller

Task Panels and the Code Controller have been merged to provide comprehensive access to appropriate tasks - you now have instant access to dozens of features. Commonly used tasks are given priority on each panel - try clicking the small downward pointing arrow at the top of the panel, which will load the panel you want.

New Document, Objects, Events and Symbols are unchanged from previous versions, but there are several new panels available to choose from:

  • Thumbnails
  • Clipboard
  • Tidy
  • Database
  • Search

You'll find that rather than cramming features in, the panels are clearly usable: simple options, friendly layouts and no interfering flashes or noises!

The Clipboard Panel

The Clipboard Panel keeps a constant monitor on your PC's clipboard, the panel holds as much information as it can store in memory at any given time. Every time you cut or copy text to the clipboard, it appears as a "button" within the panel - just double click it to add the text to your active document. If you wish to clear the panel, please click the "Delete" button at the top.

The Database Panel

If you've used the Database Connection Wizards in ScriptWorx, you'll find the Database Panel a real asset. You can choose to either create a new connection or use an existing one, both can be selected at any time. When you've made a connection, the fields list from the table you selected will populate. Click on any field name and choose an option, depending on your server-side application server. You can insert fields using Active Server Pages, ColdFusion (and tagServlet) and PHP.

The Search Panel

If you need to find and replace something in your current document, but don't want to deal with multiple popup windows, try the new Search Panel. You can find and replace text in your current document, and choose from the most commonly used Search and Replace options.

The Thumbnails Panel

Using the Thumbnails Panel can load an entire directory of images, preview them a small "thumbnails" in a list and allows you to add the image to your document. First click the "Click here to change directory" and choose a directory on your computer with images, then click the "OK" button. When all the images are loaded, you may scroll through the list or double-click an entry to insert it into your current document.

The Tidy Panel

The Tidy panel eliminates the need to use the main and complex Tidy dialog, but you can still use it if necessary. This panel holds the most commonly used Tidy actions, including the new "Convert to slide show" option. To tidy your document, check off the list of options, and then press the "Tidy" button. This should take seconds to work on your document - if it takes longer, please try repairing your installation.


Introduction to Online Services

Introduction to the Interface - Online Services

This version of ScriptWorx is the first to contain features hosted remotely on the web. These features have been designed within strict guidelines, whilst third party services are vetted by us for data tracking.

Validate Code Online
> Command: Tools Menu - Validate Online

ScriptWorx can automatically upload files to the Web Design Group's highly acclaimed online validation services, which can check both HTML and CSS documents. Selecting either option (from HTML or CSS) transfers the code, allows the server to process it with the results being displayed onscreen for you.

Search Engine Position Checker
> Command: Tools Menu - Search Engine Position Analyzer

As an extension to online services provided on our web site, ScriptWorx can now interface with the SoftLite Search Engine Position Analyzer directly. This service takes a given URL and keywords, which are checked against ten major search engines for rank.

If you do not appear in the top fifty of the list, you may need to perform a manual check of the search engine. Currently the following search engines are supported:

  • AltaVista
  • Excite
  • Google
  • HotBot
  • InfoSeek
  • LookSmart
  • Lycos
  • Magellan
  • WebCrawler
  • Yahoo

This tool takes a wizard-base approach, prompting you only for essential information.

Feedback Wizard
> Command: Help Menu - Feedback Wizard

Rather than trying to find a page on our website to tell us what you think of the product, including comments and suggestions, you can use the Feedback Wizard to send data via a secure connection. All information gathered is anonymous, whilst a strongly encrypted channel delivers your comments directly to us.


Tasks

Introduction to the Interface - Tasks

ScriptWorx provides an integrated task list which can be sorted according to subject, priority or due date.

To view tasks : Choose "Tasks" from the view menu.


ScriptWorx Help Topic

Help Topic: Coding Tools


TagInsight

Coding Tools - TagInsight

TagInsight provides a filtered list of HTML, XML or ColdFusion tags when the '<' symbol is entered into the editor.


TagTemplates

Coding Tools - TagTemplates

TagTemplates provides a code management system, storing large or small code blocks, sorted by keywords and available as a list.

To select a specific template: Enter the keyword and press [Ctrl] + J

To view all templates: Press [Ctrl] + J


Function Insight

Coding Tools - Function Insight

ScriptWorx can automatically scan functions from JavaScript, VBScript and VB.Net documents. When a function is called, tool-tip assistance is provided to indicate variables and types that should be passed to the function.

The tool-tip automatically highlights the appropriate variable, depending on variables already passed to the function.


Object Explorer

Coding Tools - Object Explorer

ScriptWorx can automatically scan all objects, methods, functions and types from JavaScript, VBScript and VB.Net documents. The result is an hierarchical view of all objects, grouped into public, private, global and exported variables.

To view the Object Explorer: Choose "Object Explorer" from the View menu.

To jump to an object: Double-click the appropriate entity in the Object Explorer.


ScriptWorx Help Topic

Help Topic: XML Tools


XML Explorer

XML Tools - The XML Explorer

The XML Explorer provides an hierarchical overview of an XML document, providing that the document is well-formed.

To load the XML Explorer: Choose "XML Explorer" from the View menu.

ScriptWorx will parse an XML document, checking it live against the DTD definition given for well-formedness. If the Explorer is empty or reports an error, the document is not well-formed.


XML Validator

XML Tools - XML Validator

ScriptWorx provides an easy, integrated way to validate XML documents in real-time.

To validate an XML document: Choose "Validators" from the Tidy menu.

ScriptWorx will require a well-formed document to validate your XML document, so load the XML Explorer first.


ScriptWorx Help Topic

Help Topic: Customizing ScriptWorx

The Editor
TagInsight
TagTemplates
Timed Backup
Programs and Browsers
File Types
Server Mappings
Startup and Shutdown Scripts

Packup My Settings

Load Settings


Customizing the Editor

Customizing ScriptWorx - The Editor

The editor can have the following settings adjusted:

Feature | Description
Gutter | Displays a left-side margin in the editor for bookmarking and line number indicators.
Margin | Displays a narrow line on the far-right side of the page, which indicates the point at which word wrap occurs.
Hidden Symbols | Toggles the display of formatting marks such as indents, paragraph markers and returns.
Word-wrap | Causes text to cut to the next line when it cannot be shown entirely on one line.
Line Numbers | Keeps a list of line numbers within the gutter.
Hyperlinks | Converts hyperlinks into actual, working hyperlinks.
Backspace Unindent | Deletes an indent completely when the "Delete" key is pressed.
Auto Indent | New lines will be indented at the same level as the line before.
Smart Tabs | Tabs on a line will occur on the same place as the previous line.
Group Undo | Causes many actions to be undone at once.
Cursor Past EOF/EOL | EOF determines if the cursor can be placed after the last character of a line. EOL determines if the cursor can move beyond the end of a document.
Double-click Line | Allows you to select an entire line of text by double-clicking it.


Customizing TagInsight

Customizing ScriptWorx - TagInsight

You can enable or disable TagInsight and JavaScript Insight individually - you will find options for each under the "Edit" > "Preferences" menu.

To add a tag to TagInsight, click the "Add" button and fill out the fields you want when prompted. To delete a tag from TagInsight, select it from the list and click the "Delete" button.


Customizing TagTemplates

Customizing ScriptWorx - TagTemplates

TagTemplates are each composed of three sections:

  • A keyword.
  • A description.
  • The code.

Keywords - if you type a keyword into your document, then press [Ctrl] + [J] - the TagTemplate will add the related code into your document. Alternatively, you can press [Ctrl] + [J] and then choose from a list of descriptions to insert your code.

A keyword should be unique, whilst the code for one TagTemplate may be identical to that of another.


Customizing Timed Backup

Customizing ScriptWorx - Timed Backup

Timed Backup can be customized in the "Preferences" window.

If enabled, Timed Backup creates a copy of the documents you are working based upon a time interval of your choice. This can be between one minute and twenty minutes, we recommend between four and five minutes.

The backup is placed in the same directory as the file you are working on, but it will have a .bak extension to the file, which you can delete using Windows Explorer.


Customizing Browsers

Customizing ScriptWorx - Programs and Browsers

ScriptWorx lets you specify an unlimited number of web browsers for previewing, such as Internet Explorer, Netscape Navigator or Opera.

To add, amend or delete these, open the Preferences window and then click on "Programs".

  • To add a browser, click the add button and search for the filename of the browser.
  • To edit a browser configuration, click the edit button.
  • You can delete a browser by selecting it and then pressing the "Delete" button.


Customizing Highlighters

Customizing ScriptWorx - Highlighters

ScriptWorx 5 comes with a plethora of syntax highlighters, but it can be frustrating having to change it when you open a document. We've added a feature so that when you open a certain file type, it can be highlighted using a syntax highlighter of your choosing.

Example - You are opening a Pascal file, but don't want the normal highlighter:

  • Open the "Edit" > "Preferences" window.
  • Click on "File Types".
  • Press the "Add" button In the "File Extension" field, enter in the file extension for the file type you wish to change - always include the period before it - here it would be .pas
  • From the "Associate With" field, choose the default highlighter for the file extension - here it would be Object Pascal. You can specify an unlimited number of file types, which can even use the same highlighter as another file type.


Customzing Server Mappings

Customizing ScriptWorx - Server Mappings

When you preview a page in ScriptWorx, you would normally not see live database views or any other for of server-side technologies at work. This no longer has to be the case, because you can now change to a "live" database view.

Consider you have a file saved to C:\Site\data\viewer.cfm - this file has ColdFusion database code, which is normally ignored by the browser. You can "map" the directory above to a server address (eg. "http://mysite/data/viewer.cfm") so that when you click the internal "Preview" button, you will see the database in the preview.

Using the Preferences window, click the "Server Mappings" option.

  • Choose the "Add" button and enter the directory path in File Path, including a trailing backward slash, for example: C:\Site\data\
  • Now specify the address of the file on your web server, excluding the file name, such as "http://mysite/data/" - you must not include the quotes, but you must have a trailing forward slash now.
  • When you click on "Preview" again, your file will be saved and you can view your database in realtime.


Customzing ScriptWorx with Scripts

Customizing ScriptWorx - Startup and Shutdown Scripts

It is possible to run a script developed for ScriptWorx at both startup and shutdown - for example, you may wish to delete temporary files or validate all files when you close the application.

Use the Preferences Editor within ScriptWorx to set startup and shutdown scripts, selecting both a language for each and a file for each. If you don't want to use the startup and shutdown scripts, please use the "Enable" option for both.

Scripts can be located on any drive of your computer, or a mapped network share.

Should you find that a script generates an exception when loading, you may need to delete or empty the file. If you wish to keep the script file, but wish to disable it, please use Windows Explorer to navigate to the directory into which ScriptWorx was installed.

A program called scrlck.exe will be located in ScriptWorx directory. Running this file resets the startup and shutdown scripts, which can then be modified to work properly with ScriptWorx.


Using ServerWorx

ServerWorx 5.0 Standard

ScriptWorx Standard ships with a scaled-down edition of ServerWorx 5.0 Professional, without all the enterprise or professional features, such as ISAPI, CGI, encrypted logon, logs and virtual hosts.

By default, ServerWorx 5 will listen only on the IP address 127.0.0.1 on port 80. To access the web server through your browser, please enter: http://localhost/ as the URL.

To change your ServerWorx local directory, choose "Edit" and then "Preferences" within ScriptWorx and finally choose "Server Settings".


Packup My Settings

Customizing ScriptWorx - Packup My Settings

Sharing or rolling out identical settings across multiple ScriptWorx installations is easy, thanks to the new Packup My Settings wizard.

To start the wizard: Choose "Preferences - Packup My Settings" from the edit menu.

Key settings can be copied to a redistributable file, including editor settings, proxy servers, file mapping, spell checker and more. The file can then be saved to disk or a remote web server using the wizard.

These files do not store passwords for security purposes.


Load Packedup Settings

Customizing ScriptWorx - Packup My Settings

To import a package: Choose "Preferences - Load Packedup Settings" from the edit menu.

Key settings can be imported froma redistributable file, including editor settings, proxy servers, file mapping, spell checker and more.

These files do not store passwords for security purposes.


ScriptWorx Help Topic

Help Topic: Application Recovery


The Recovery Wizard

Application Recovery - The Recovery Wizard

Should ScriptWorx crash, or in the event of a serious problem, the Recovery Wizard will activate. This wizard provides a one-click way to save all open files and then close ScriptWorx gracefully.

When you restart ScriptWorx after a crash, the Recovery Wizard will display a list of the saved files. Any files that were not saved prior to the crash will be given automatic names, requiring you to open the file using the list to save it permanently.

The Recovery Wizard also lets you report a program fault to SoftLite, but this is completely optional. Any report generated contains no personal information, instead it covers:

  • Your ScriptWorx or SoftLite product version.
  • Your operating system name and version.
  • The error message generated.

All of these items are dispatched using a secure connection, so that even these details cannot be intercepted by anyone. Should the error message contain a filename not included with ScriptWorx, the filename is deleted and not noted for use.


The Recovery Wizard

Application Recovery - Timed Backup

To enable or configure timed backup: choose "Preferences" from the Edit menu.

Timed backup provides regular backups of documents being edited, should the program fail and the Recovery Wizard not activate. Saved documents are backed up to the same location as the original file, with a '.bak' extension on the filename.

When a document is closed, the backup copy is deleted automatically.


Detect and Repair

Application Recovery - Detect and Repair

To check the integrity of your installation: choose "Detect and Repair" from the help menu.

The Detect and Repair facility will scan a ScriptWorx installation, checking for corrupted files or missing settings. Should serious errors be detected, the Repair option provides a chance to fix the installation. Using this feature, it is possible to recover ScriptWorx in the event of a serious failure.

Please note that the Repair facility may reset ScriptWorx to its original settings, depending on the extent of any damage.


ScriptWorx Help Topic

Help Topic: ScriptWorx Extensions


Creating Extension

Extensions - Creating Extensions

For a comprehensive review of the ScriptWorx API: please choose "Extending ScriptWorx" from the ScriptWorx Help menu.

Firstly, choose your desired language, usually JavaScript or VBScript (or others if you have Active Scripting installed). When writing your source code, saving the file with a .js extension sets the scripting engine to use JavaScript, whilst a .vbs extension sets it to VBScript.

You will also need to create a definition file, which must be distributed with the extension file. It follows the following style:

[Author]
ExtensionName="filename"
Description=""

  1. Set the author information to your name or your company name.
  2. Give the extension a name in ExtensionName.
  3. Change the filename to the filename (without a path) into the filename string.
  4. Use the "description" to provide a basic overview or details of what the extension does.


Installing Extensions

Extensions - Installing

To install a ScriptWorx Extension: choose "Extension Manager" from the Tools menu.

There are two parts to any extension in ScriptWorx, the first containing details about the extension, whilst the second contains the script source for the extension. Most extensions are supplied as ZIP files, so you must have a working ZIP extraction utility.

  1. Open the Extension Manager (see above).
  2. Select "Install" from the File menu.
  3. Select the file you wish to install.
  4. The extension will appear when you next run ScriptWorx.


Removing Extensions

Extensions - Removing Extensions

To remove a ScriptWorx Extension: choose "Extension Manager" from the Tools menu.

  1. Open the Extension Manager (see above).
  2. Select the extension you wish to remove.
  3. Choose "Remove" from the File menu.
  4. The extension will disappear when you next run ScriptWorx.


Creating Extension

Extensions - Creating Extensions

For a comprehensive review of the ScriptWorx API: please choose "Extending ScriptWorx" from the ScriptWorx Help menu.

Firstly, choose your desired language, usually JavaScript or VBScript (or others if you have Active Scripting installed). When writing your source code, saving the file with a .js extension sets the scripting engine to use JavaScript, whilst a .vbs extension sets it to VBScript.

To load the Extensions Manager: please select "Extensions Manager" from the Tools menu.

  1. Load the ScriptWorx Extensions Manager.
  2. Choose "Package..." from the file menu.
  3. Add your name or your company name in the author field.
  4. Supply a name for the extension.
  5. Use the "file" field to specify the filename and path of the extension.
  6. Click "OK".

Your extension will be saved to a directory of your choice. If you wish to upload this file to your FTP server, please set the transfer mode to Binary.


Problems with Extensions

Extensions - Problems with Extensions

If an extension fails to install properly: contact the author of the extension and make sure your version of ScriptWorx is supported.

Should you have problems with all extensions, such as an error message when running ScriptWorx, you may not have the Windows Scripting Host installed on your computer.

  1. The first way of obtaining the WSH is to download Microsoft Internet Explorer 3.02 or higher.
  2. Visit the Microsoft web site and download the WSH.


ScriptWorx Help Topic

Help Topic: Toolbars


About Toolbars

Toolbars - About Toolbars

Toolbars and menus provide the primary method of accessing for working with ScriptWorx, providing options, assistance and performing commands.

Menus form the top-most toolbar in the interface, where clicking a menu title will show the commands available within the menu. Shortcuts are also listed next to commands which can be activated using your keyboard.

Toolbars have multiple "buttons" for launching most features, lists of options or information boxes. Both toolbars and menus can contain the same commands.

If you can't find a menu command: Click the [image] button at the bottom of the list to find it.

If you can't see the full toolbar: Click the [image] button at the right of the toolbar.


Custom Toolbars

Toolbars - Custom Toolbars

Every toolbar and menu within ScriptWorx can be fully customized, using a simple drag-and-drop system to add or remove buttons and reposition toolbars. You may also add or deleted toolbars and menus, giving you more screen space or more refined control of the interface.

To begin, right-click on any toolbar or menu and choose "Customize..." from the pop-up list. To add, delete or view a toolbar, look at this first "tab":

Placing a check-mark next to each toolbar makes it visible, whilst clicking the check will remove it and hide the toolbar. Each toolbar can have commands dragged from lists like those shown below on to itself, whilst dragging commands off the toolbar hides the appropriate button for you. Commands are grouped for easy access.


Toolbar Hints

Toolbars - Hints

By default, hovering the mouse pointer over a command shows a 'hint' - a brief description of the menu component.

To switch hints on: right-click any toolbar, choose "Options" and click on the "Options" tab in the "Customize" window. Place a check next to "Show ToolTips on Toolbars".


Enlarge Icons

Accessibility - Enlarge Toolbar Icons

Should you feel that the toolbar buttons are too small or you're sitting further away from your monitor than usual, you can enlarge toolbar buttons quite easily.

  • Right-click on any toolbar or menu.
  • Choose the "Customize" option.
  • Click on the "Options" tag in the Customize window.
  • In the "Other" section check the Large Icons option on or off.


ScriptWorx Help Topic

Help Topic: File Creation and Management

Import from Excel or CSV
Export Syntax Highlighted Code
Create a Blank New File
Create a File from a Template
Open a Local File
Open a Remote File


Import from Microsoft Excel

Creating Documents - Import from Excel or CSV

> File Menu - Import from...

If you wish to import Excel or CSV files directly into the editor, choose the "Import" option from the main "File" menu. If you select CSV, then you will firstly need to specify a delimiter from the list, or ScriptWorx will try to analyze the document and make an educated selection.

The direct import dialogs also allow you to specify table formatting options, such as cell spacing, padding and table width.


Exporting Syntax Highlighted Code

Creating Documents - Export Syntax Highlighted Code

> File Menu - Export As...

If you wish to save your HTML code to demonstrate it visually, say in a Word document or on a web page, ScriptWorx can produce a highlighted copy of your code. For example, we've just designed a new page, but wish to show a visitor at our site the code, ScriptWorx can produce a page using the same colors as the current syntax highlighter.

You may export documents like this to HTML or Rich Text Format to open in your word processing software.


Creating a New (Blank) File

Creating Documents - Create a New (Blank) File

> File Menu - New (Blank) File

To create an HTML file with only the bare minimum of tags, but without any visible elements, use the "New" file option.


Creating a File from Templates

Creating Documents - Create a File From a Template

> File Menu - New From Template

ScriptWorx is accompanied by several basic templates with the most common web page layouts, usually produced using HTML tables but frames pages are also available to use.

The Wizard features a series of "tabs" for different types of page. By clicking on any of the templates in the Wizard once, you will see a short description and also a sample preview of the document. You can select a document to use at any time by clicking the "OK" button.


Opening Local Documents

Creating Documents - Open a Local File

> File Menu - Open from Local

Local documents are basically files that reside on your computer's hard disk, or even across a Local Area Network. This is where you should open most of your files, as it is not always necessary to use the Internet to retrieve files.

Files of different types can be filtered using the "Filter" option, which by default is set to Web files (such as HTML). Depending on the type of file you open, ScriptWorx automatically selects the most appropriate syntax highlighter for that file. However, you may select a different highlighter once the document is open.


Opening Remote Documents

Creating Documents - Open a Remote File

To open a file using HTTP or FTP: Choose Open Remote Location from the file menu.

ScriptWorx provides a unified access method of downloading remote files, both over the web and via FTP. The remote locations dialog box lets you select between either method, such as HTTP:

  1. Choose the "Web" button.
  2. Enter the URL you wish to download.
  3. Specify a directory to save the file to.
  4. Indicate the filename with which to save the file.
  5. Press "Open" when you are ready.

You may also select from a list of Internet Explorer favorites, which are accessible through the "Favorites" list.

Files can also be opended using a saved ScriptWorx FTP connection, by specifying the URL of the page (eg. /home/softlite/www/filename.htm would be a valid URL, as you don't include a prefix, such as ftp:// or http:// when using the FTP option) and a location to save to. The procedure is almost identical to that used when opening a file on the web.


ScriptWorx Help Topic

Help Topic: Working with the Editor

Find and Replace
Extended Find and Replace
Jumping to Lines
Jumping to Top/Bottom
Bookmarks
Printing a Document
Convert Text Cases
Block Indenting Code
Switching Between Documents
Choosing Web-safe Colors


Find and Replace

Working With the Editor - Finding and Replacing Text

> Search Menu - Find/Find and Replace

Finding and replacing text in ScriptWorx is very easy. However, there are many options which you may not have encountered before.

- Find Dialog

A log of all your searches is kept for easy access in the future, which you can see next to "Text to Find".

Case sensitivity ensures only matches with the same case you have used are shown, whilst whole words allows only the exact form of words you have used.

Directions can be used to search the text before the cursor point (backwards) or the point after it (forwards).

The scope of your search can either include the entire document, or simply text that you have selected using the mouse or cursor.

The origin performs a similar purpose, but only affects the options you set in scope.

- Find and Replace Dialog

The Replace dialog is very similar to the "Find" option, but has an extra field for text to replace any matches found. This also maintains a separate log for future use. You can select "Prompt on Replace" to confirm if ScriptWorx should replace any text that is found.


Extended Find and Replace

Working With the Editor - Find and Replace Text in Multiple Files

> Search Menu - Extended Find and Replace

To find and replace text in more than one file, you will have to use the "Extended Find and Replace" feature. This also has the same "Find" and "Replace" options, but you must must select files first.

  • Click on the "Select" button.
  • Use the dialog to jump to the directory you want.
  • Click each file you want whilst holding down the "Shift" key and click the "Open" button.


Jumping to Lines

Working With the Editor - Jumping to Lines

> Search Menu - Go to Line

To jump to any existing line in your document, use the "Go To Line" feature to move the cursor there. If you would like to make a note of important lines, please try bookmarking it too.


Jumping to Top or Bottom

Working With the Editor - Jumping to Top and Bottom Lines

> Search Menu - Go to Top/Bottom

These commands will take you to the top and bottommost lines of a document respectively.


Jumping to Bookmarks

Working With the Editor - Setting and Jumping to Bookmarks

> Set Bookmark [0-9] - Ctrl + Shift + [0-9]
> Get Bookmark [0-9] - Ctrl + [0-9]

ScriptWorx allows you to specify ten bookmarks per document, which can be set at important lines in large files for easy navigation. Bookmark numbers are indicated in the gutter wherever a bookmark is located.

You may set and jump to bookmarks using the commands above, excluding [0-9] and replacing it with any number between 0 and 9.


Printing Documents

Working With the Editor - Printing a Document

> File Menu - Print

If you need a copy of your work on paper, or if you can spool to a PDF driver and so on, you can select from various options in ScriptWorx for this purpose. You have two methods of printing:

  • Only selected text or,
  • the entire document.

If you have selected text within your document, you can toggle this option on or off. However, if no text is selected, you will be forced to print the entire document.

Option | Description
Header | Displays the current filename and page number at the top of every page.
Line Numbers | Will print line numbers in a narrow margin on the left side of the page.
Syntax Print | Ensures tags are color coded or printed in different shades of grey.
Use Color | Enforce tags to be printed in color.
Wrap Lines | Prevents lines from trailing off the edge of the page.
Left Margin | The margin to leave on the left side of the page (in columns).
Show Progress | Shows the progress of the print job.


Converting Text Case

Working With the Editor - Converting Text Between Cases

> Actions Menu - Convert Case

The actions menu provides several case conversion options, based upon entire lines or selected blocks of text. This can be performed by converting to either uppercase or lowercase.


Block Indenting Code

Working With the Editor - Block Indenting Code

> Actions Menu - Indenting

If you do not have Smart Tabs and Auto Indent switched on, you may still wish to indent large blocks of code rather than indenting only one line of code at a time. To accomplish this, select a block of text using the mouse or cursor keys, followed by executing the commands above.


Switching Between Files

Working With the Editor - Switching Between Documents

> Windows Menu - Various

Rather than organizing documents into tabs, you can have multiple files displayed simultaneously in ScriptWorx. This can be performed using the "Tile" option from the Window Menu. Cascade displays all open documents in a cascaded list, where documents appear in "stacks".

Next and Previous are used to jump between all open editing windows.


Websafe Colors

Working With the Editor - Choosing Web-friendly Colors

A common problem encountered by web developers is the manner in which colors appear on different computers. Even the hue of monitors can differ between a PC and an Apple Mac, but there is a common solution to this problem.

Websafe colors are hexadecimal representations of colors, which are slightly more accurate than named colors.

Suppose you want the hexadecimal version of black, which is: #000000

This string is composed from hexadecimal values for the red, green and blue colors which make up a real color:

 | Red | Green | Blue
# | 00 | 00 | 00

You don't have to remember all these hexadecimal representations, because ScriptWorx does this for you. By choosing the websafe color guide from the "Formatting" toolbar and selecting a color, you have the appropriate code inserted instantly.


ScriptWorx Help Topic

Help Topic: Statistics Bar


Introducing the Statistics Toolbar

Statistics Bar - Introduction

The Statistics Bar is a toolbar switched on by default, in the bottom-left corner of the ScriptWorx window. This toolbar can display a variety of information:

  • Word count.
  • Line count.
  • Download times for multiple modem speeds.
  • Download times for ISDN TA's.


Word Count

Statistics Bar - Word Count

To view the word count for the active document: choose "word count" from the statistics bar list, then click [image] the button.


Line Count

Statistics Bar - Line Count

To view the number of lines in the active document: choose "line count" from the statistics bar list, then click [image] the button.


ScriptWorx Help Topic

Help Topic: Optimize and Check Your Work

Checking Pages with HTML Tidy
Converting Pages to CSS
Converting Pages to XML
Converting Pages to XHTML
Import from Word 2000 HTML
Validating Links
Compressing Documents


HTML Tidy

Optimizing and Checking Work - Checking Pages with HTML Tidy

> Tidy Menu - Format and Fix

HTML Tidy is the code cleaning tool of choice for countless HTML developers. This small program (integrated with ScriptWorx) can apply source formatting, fix poorly coded pages or convert a page to the latest standards.

The HTML Tidy interface has several options, which are covered in this help section.

- Character Encoding

Determines how Tidy interprets character streams. For ascii, Tidy will accept Latin-1 character values, but will use entities for all characters whose value > 127. For raw, Tidy will output values above 127 without translating them into entities. For latin1 characters above 255 will be written as entities. For utf8, Tidy assumes that both input and output is encoded as UTF-8. You can use iso2022 for files encoded using the ISO2022 family of encodings e.g. ISO 2022-JP. The default is ascii.

- Wrap

Sets the position at which lines of code will be wrapped (in columns).

- Indent

This is used in source formatting to specify the number of columns to indent code.

- Default "Alt" Tag

Specifies the "alt" text that should be applied to any image without an "alt" attribute.

- Doc Type

DocType Use the "Doctype" option to tell HTML Tidy whether to use the strict, loose (transitional) or automatic HTML DTD. We recommend automatic for most purpose.


Convert to CSS

Optimizing and Checking Work - Converting Pages to CSS

> Tidy Menu - Convert to CSS

ScriptWorx allows you to upgrade formatting markup in your document to Cascading Style Sheets, as recommended by the World Wide Web Consortium. This replaces <font> tags with global document <style> tags to reduce repetitive coding and give pages a uniform appearance.


Convert to XML

Optimizing and Checking Work - Converting Pages to XML

> Tidy Menu - Convert to XML

XML is an extensible markup language, which can use user-defined tags, and has many different uses. Quite often this is for data access and retrieval. ScriptWorx will upgrade your document to XML 1.0 with all the appropriate markup you require.


Convert to XHTML

Optimizing and Checking Work - Converting Pages to XHTML

> Tidy Menu - Convert to XHTML

XHTML is the successor to the popular HTML 4.0. This standard is being ratified by the World Wide Web Consortium, who have a site dedicated to XHTML. ScriptWorx will upgrade your document to XHTML 1.0 with all the appropriate markup you require.


Import Word HTML

Optimizing and Checking Work - Import from Word 2000 HTML

> File Menu - Import Word 2000 HTML

Microsoft Word 2000 generates unnecessary information within most of the HTML documents that it generates. Not only is this a pointless coding practice, it can increase the loading time of your document.

It is feasible that some of the HTML generated will not work in all browsers, so we recommend running the "Fix Word 2000 HTML" option for all files generated using Microsoft Word.


Link Validation

Optimizing and Checking Work - Validating Links

> Tidy Menu - Link Checker

Designing a good website relies on links between pages being correct, be they on a hard disk or being served via a web-server, links should be correct. ScriptWorx will check links for you, using the "Link Validator".

  • Open a document and save it. Launch the "Link Validator".
  • Choose the types of tags you wish to check, which can be selected from the "Tags to Check" list.
  • Click "Check".

The process may take some time depending on the size of your document, but it should not take too long for most files. When a list of invalid links appear, you are given an error message which ScriptWorx received when trying to access a bad link. To jump to a link within your document, simply double-click it with your mouse from the list.


Statistics Toolbar

Optimizing and Checking Work - Statistics Bar

> View Menu - Toolbars: Statistics Bar

The Statistics Bar provides easier access to quantitative information, including download time and word count. Select any option from the statistics box, press the adjacent ">" button and then relevant information will appear in the box.


Compressing Files

Optimizing and Checking Work - Compressing Files

The compression tool in ScriptWorx removes all superfluous formatting within a document, marginally improving download times.

To compress a document: Choose "Compress Document" from the tools menu.

Removing returns, extraneous quotation and grammatical options are less likely to cause problems when removed.

Should you be using FrontPage Extensions, you may find removing Webbots will render your pages unusable.


ScriptWorx Help Topic

Help Topic: Interactive Content with Scripting


Introduction to JavaScript

Interactive Content with Scripting - Introduction to JavaScript

JavaScript is a scripted programming language which is used in HTML to create document effects and other specialized tasks. You can use JavaScript to validate forms, redirect users or perform mathematical calculations. Contrary to popular belief, JavaScript is not the same as Java!

The following indicates the level of support by Netscape Navigator of JavaScript:

JavaScript Version | Netscape Version
1.0 | 2.0
1.1 | 3.0
1.2 | 4.0 - 4.05
1.3 | 4.06 - 4.5

Internet Explorer supports most of the features of JavaScript too, so scripts may need some alterations between the two browsers. However, all code generated by ScriptWorx is tested as much as possible on different browsers.


Adding Interactive Content with JavaScript

Interactive Content with Scripting - Adding Scripts to Pages

> Insert Menu - JavaScript

Inserting JavaScript code into your document is easy, you can either code it manually (read this) or use the ScriptWorx tools. By opening the JavaScript tool, you can specify the following options.

Language - The scripting language you wish to use, which doesn't necessarily have to be JavaScript. This will affect the way a web browser displays your code. (Warning - Netscape and Opera do not support VBScript on the client-side).

Mime Type - This is optional but can affect the way a web browser handles scripts stored in a separate file.

Source - Specifies the name of the file in which code can be found as an alternative, with JavaScript files normally having a .js extension.

Noscript Message - A message which users with a browser incapable of using JavaScript or users who have disable JavaScript will see as an alternative.

The code editor is located at the bottom of the JavaScript tool, which supports both Function and Object Insight for JavaScript. When you are ready to add your code to your document, simply click "OK".


The JavaScript Navigator

Interactive Content with Scripting - Navigating Between Functions

> Script Toolbar - Navigator

The JavaScript Navigator is a list of all JavaScript or VBScript functions within a source file, allowing you to jump between functions. To jump to a function, first select it from the list, then press "Go To". You may also select a function and choose "Delete" to have the function and its code removed from your document.


ObjectInsight and FunctionInsight for JavaScript

Interactive Content with Scripting - Object and Function Insight

Function and Object Insight for JavaScript provide access to many parts of the JavaScript DOM for advanced users. Consider you want to use a common JavaScript function, such as document.write( - you will need to know what parameter to pass to the function - Function Insight does this (see figure 1):

Object Insight allows you to complete functions for reserved objects, such as document, window, navigator etc. When you type in an object followed by a period '.', ScriptWorx pops up a list of functions associated with that object.


ScriptWorx Help Topic

Help Topic: Database Connectivity

Connections
Create Query/Recordset Action
Create Insert Record Action
Create Update Record Action
Create Delete Record Action
Creating Master/Detail Action
Insert Dynamic Controls
Insert Dynamic Information

You may also wish to view the following documents.

  • Requirements for using ASP connections.
  • Requirements for ColdFusion connections.
  • Requirements for PHP connections.
  • Requirements for JSP connections.
  • Requirements for ASP.NET connections


Database Connections

Database Connectivity - Connections

Basic connections to databases in ScriptWorx are stored as reusable connections, which can be used as the basis for creating dynamic page controls or database actions.

To Create Connections: Choose "Connections" on the Database CCP.

What you need to create a connection, can be summarized as follows:

  • A unique name for the connection in ScriptWorx.
  • The username and password for your database.
  • The name of the database (MySQL)/SQL Serveror the filename (ADO/ODBC).
  • The DSN of your database (ADO/ODBC) or the server name (MySQL/SQL Server).
  • The table you wish to connect to.

A unique name is used to save your connection, so that you can reload or modify the connection as required. Usernames and passwords are mandatory for MySQL connections, but may also be needed for ADO/ODBC connections.

The database name is the identifier of your MySQL database, whilst a filename is required for ADO/ODBC connections, which acts as the database name. Similarly, a server name is needed for your MySQL server, whilst ADO/ODBC connections require a DSN.

You may optionally specify a table, although you can change this if you wish.


Database Recordsets/Queries

Database Connectivity - Recordsets/Queries

A recordset acts as your connection between your page and the database server, containing information relating to data handling, including the specification of an SQL statement.

To Create a Recordset: Choose "Create Recordset" on the Database CCP.

When creating a recordset, you must first create a database connection, which stores common information such as database server names or usernames. By choosing a "connection" in the recordset creation stage, you have all this information predefined and filled in for you.

You will have to set the following options, in addition to choosing a connection:

  • A table name from your database.
  • An Structured Query Language statement.
  • An application server type.

Your table name is filled in based upon the table you specify in the "Connection" options, or you can select a different table. Using SQL is the next step, using a statement of your choice.

Your application server type can be selected from ASP(.NET) (ADO/ADO.NET), ColdFusion (ODBC) or PHP (MySQL).


Live Data View

Database Connectivity - Live View

To activate live view whilst editing: choose the "Live View" button from the editor toolbar.

If you prefer to view your database pages whilst editing them, you can combine server maps with the new Live Data View to see the content of the database whilst you work.

When you preview a page in ScriptWorx, you would normally not see live database views or any other for of server-side technologies at work. This no longer has to be the case, because you can now change to a "live" database view.

Consider you have a file saved to C:\Site\data\viewer.cfm - this file has ColdFusion database code, which is normally ignored by the browser. You can "map" the directory above to a server address (eg. "http://mysite/data/viewer.cfm") so that when you click the internal "Preview" button, you will see the database in the preview.

Using the Preferences window, click the "Server Mappings" option.

Choose the "Add" button and enter the directory path in File Path, including a trailing backward slash, for example: C:\Site\data\

Now specify the address of the file on your web server, excluding the file name, such as "http://mysite/data/" - you must not include the quotes, but you must have a trailing forward slash now. When you click on "Preview" again, your file will be saved and you can view your database in realtime.


Insert Records Into a Database

Database Connectivity - Insert Record Action

To process input from a web browser request when adding submitted information to a database, use the "Insert Record" action from the database toolbar.

Start by creating a data connection and a recordset using the "Database" toolbar, and then design a form to accept the information. Choose the "Insert Record Action" option - you can select your connection name here.

Select a table from the list, and then list below will populate with database fields.

A list of form fields will be presented in a list, where each database field can be matched up to a form field by double-clicking the entry. You may wish to leave some form fields blank, but this is up to you.

Choose "OK" when you are ready to insert the code.


Updating Records Into a Database

Database Connectivity - Update Record Action

To process input from a web browser request when updated submitted information to a database, use the "Update Record" action from the database toolbar.

Start by creating a data connection and a recordset using the "Database" toolbar, and then design a form to accept the information. Choose the "Update Record Action" option - you can select your connection name here.

Select a table from the list, and then list below will populate with database fields.

A list of form fields will be presented in a list, where each database field can be matched up to a form field by double-clicking the entry. You may wish to leave some form fields blank, but this is up to you.

Choose "OK" when you are ready to insert the code.


Deleting a Database Record

Database Connectivity - Deleting a Record

To delete a record from your database, click the "Delete Record" option on the Database toolbar.


Dynamic Controls

Database Connectivity - Dynamic Controls

Dynamic controls are used for display your data within a web page, such as form input boxes, plain text or even Dynamic HTML layers. You will need a working database connection, and a working recordset.

How to Add a Control: Click on any of the fields in the Database CCP list.

A pop-up menu appears, offering you a variety of controls to add your data to, then you select the the server language that you wish to use. Your data will be added to the page dynamically.


Dynamic Information

Database Connectivity - Dynamic Information

Using ScriptWorx, you can display a variety of information about the current recordset within your web page. Simply use the "dyanmic information" button on the database toolbar for a variety of information.


Master/Detail Controls

Database Connectivity - Master/Detail Controls

To learn about creating Master/Detail controls, please click here.

A master/detail set involves the linking of two database tables. Consider the following: you run a services directory using your application server, with a table giving a list of suppliers. There is a table where more detailed information about each supplier is stored, with an item in both tables having the same value.

The first table is the "master" table, where a supplier can be looked up in the second to provide more detailed information - hence this is the "detail" table. ScriptWorx can create an HTML link which acts as a data field on your master page, which links to the second table by using a linked field.

Supplier Table (Master)
No Name Tel Web
0001 C Heeky 069 69 69 ...
0002 W Astenot 070 70 70 ...

Profile Table (Detail)
Detail | No | Employees | Address
555 | 0001 | 12 | 1 Anyroad..

Creating a master/detail set in this instance would require the linking of the "No." fields, as the second provides more information. ScriptWorx can quite easily create master/detail pages using ADO, ODBC or even MySQL.


Master/Detail Controls - Tutorial

Database Connectivity - Master/Detail Controls

Create a master page and add a connection, recordset and your dynamic controls.

Switch to the Database toolbar and choose the "Master/Detail" option - do not click the arrow, but the main button. Now select a saved data connection and the field name which will act as the link.

Fill in the detail page filename and select an application server, which you can confirm by pressing "OK".

Move the cursor in the master page to where you will display the database fields, then move to the region where the linked field will link to the detail page. Using the menu on the "Master/Detail" button, choose the "Master" option, which constructs the necessary link to your detail page.

Now construct your detail page, again, using the Connect/Recordset controls. Select the SQL statement in the detail page code and delete it. Using the menu on the "Master/Detail" button, choose the "Detail" option, which will allow you to display the detail field.


Active Server Pages - Requirements

Database Connectivity - ASP Requirements

To create Active Server pages, you will require the following:

One of the following application servers:

  • Microsoft Internet Information Server (IIS) on Windows NT/2000.
  • Microsoft Personal Web Server (PWS) on Windows 95 or 98.
  • Halcyon Instant ASP (works with Apache/ServerWorx).
  • Chili!Soft ASP (works with Apache/ServerWorx).

You can choose from either ODBC-based or file-based databases, using ODBC drivers installed on your computer.


ColdFusion - Requirements

Database Connectivity - ColdFusion Requirements

To create Active Server pages, you will require the following:

One of the following application servers:

  • Macromedia ColdFusion 4.5/5.0 (Apache/ServerWorx/IIS)
  • N-Ary TagServlet 2.0 (Apache/ServerWorx)

Your ODBC datasources will be accepted using either, with support for JDBC connectivity provided through the N-Ary ODBC/JDBC bridge.


PHP - Requirements

Database Connectivity - PHP Requirements

To create PHP pages, you will require the following:

Both of the following:

  • PHP Engine v4.0+ (Apache/ServerWorx/IIS)
  • MySQL Server (Windows or Linux)

ScriptWorx offers native MySQL server access, even through remote connections, which makes the design process more efficient.


ASP.NET - Requirements

Database Connectivity - ASP.NET Requirements

To create Active Server pages, you will require the following:

One of the following application servers:

  • Microsoft Internet Information Server (IIS) on Windows NT/2000.
  • Microsoft Personal Web Server (PWS) on Windows 95 or 98.
  • Halcyon Instant ASP (works with Apache/ServerWorx).
  • Chili!Soft ASP (works with Apache/ServerWorx).

You can choose from either ODBC-based or file-based databases, using ODBC drivers installed on your computer.


JSP - Requirements

Database Connectivity - JSP Requirements

To create JSP pages, you will require the following:

One of the following application servers:

  • A Java compliant web server
  • An appropriate JSP language interpreter
  • JDBC drivers for server-side connectivity


ScriptWorx Help Topic

Help Topic: Working with Images

Insert an Image
Create a Rollover Image
Create an Image Map
Converting Images
Creating Wireless Bitmaps
Flash Buttons

The Thumbnail Window


Inserting Images

Working with Images - Insert a Normal Image
Sometimes the best image is static, or doesn't do anything other than, well, be an image! ScriptWorx allows you to do this easily, with more advanced options readily available.


Creating an Image Rollover

Working With Images - Insert a Rollover Image

Rollover images are fast and easy to create. When an image is either clicked or has the mouse pointer moved over it, it changes to a different image. The original image returns after the image is clicked or when the mouse pointer is no longer over it. Rollover images use JavaScript code.

  • Open the "Rollover Image" dialog box.
  • Specify the image you want to be shown before and after (not during) the rollover into the "Original Image" box. This can include items such as "file://" or "http://".
  • Specify the image to be displayed during the rollover in the "Replace With" box. The file path cannot contain "http://" or "file://" etc, so you should use a relative path.
  • A hyperlink must be specified as it supports the onMouseOver=".." attribute in HTML, something that is required to make the rollover work.
  • You must also specify an image name to ensure that the rollover effect is used for that image only. Hence, you should use a unique name for the image.
 Command:
Insert Menu - Rollover Image


Creating an Image Map

Working With Images - Create an Image Map

An Image Map defines certain sections of an image which can be used to link to many different pages. This is useful if you want a user to click a particular part of a web page, but this used to be a difficult task with text editors - ScriptWorx has stopped that.

  • Open the Visual Image Map Creator
  • Click the "Open" button and select your image.
  • Enter a unique name for your image map in the "Name" field.
  • Using the two shape tools (ellipse or rectangle) click the appropriate button and enter a link when prompted.
  • Resize the map areas as required, this can be perform by dragging the borders of an area.
  • To move any map area, left-click and hold the mouse down whilst dragging the shape.
  • Click the "OK" button to add your Image Map to your document.
 Command:
Tools Menu - Visual Image Map Creator


Converting Image Formats

Working with Images - Converting Images

If you have want to display an image in your web page, do not use the Windows Bitmap format, as invariably Netscape Navigator will not handle these images. You should also try to avoid using AVI files (Windows Movies) in your web page. The solution to both problems is to convert them into the nearly universal CompuServe Bitmap Format or GIF.

  • Open the Image Converter and read the instructions. Press "Next" to continue.
  • Click the "Browse" button to load either a Windows Bitmap or a Windows Movie File. When you have selected an image, click "Next" to proceed.
  • Choose an operation to perform from the options available, either BMP to GIF (for Bitmaps) or AVI to GIF (for Movies) and click on "Next".
  • Click the "Finish" button to begin the conversion process.
  • Choose the new "Start" button and your image will be converted.

When the wizard has finished converting your image, you will be prompted to save the image.

Command:
Tools Menu - Image Converter


Converting to Wireless Bitmaps

Working With Images - Convert BMP to Wireless Bitmap Files

If you are developing pages for use on wireless devices, you must convert images to the Wireless Bitmap Format to ensure that the images will be accessible on a wireless device.

Command
Tools Menu - Convert Image to WBMP


Flash Buttons

Working with Images - Flash Buttons

ScriptWorx can take a selection of similar images, usually in the JPEG format and create a 'rollover' style effect to produce a button. This button does not require the images to be preloaded, and uses the Flash technology which is supported on almost all computers.

To create a Flash Rollover: choose "Flash Rollover…" from the Insert menu.

The "normal image" option refers to the default image shown, without the mouse pointer being present over the button.

"Highlighted image" is the image that will be displayed when the mouse pointer is present over the button.

Finally, the "pressed image" indicates the image that will be show when the mouse pointer actually clicks the button.

FAQ Guide

Do I need Macromedia Flash installed on my PC?

No. ScriptWorx provides native support for the Flash format, without needing either the Flash Player or editing programs.

How do I preload my images?

You don't need to. The JPEG images are optimized in Flash, allowing the buttons to load quickly without using JavaScript.

Can I modify my button using Flash?

You can open the .swf file generated - we do not add the security code to prevent the file from being edited in Flash. We do not guarantee that the buttons generated will work with other Flash manipulation tools.


Directory View

Working With Thumbnails - Directory View

The Directory View for the thumbnails window will scan a directory, either on your computer or on a network, displaying all images contained within as a list.

To switch to Directory View: Click the "View" button on the thumbnail code controller panel.


Collection View

Working With Thumbnails - Collection View

The Collection View organises a catalogue of images, which can be saved for use later.

To switch to Collection View: Click the "View" button on the thumbnail code controller panel.

Creating a Collection

Choose "Collection" view and click the "new" button.
Choose the "add" button to display the image selector.
Select images using the [Shift] button to select each.
Click the "save" button and the image list will populate.


Image Editor

Working With Thumbnails - An Image Editor

An image editor can be selected for use with the Thumbnails window, providing one-click access to image editors.

To select an image editor: Using the "Preferences" option from the Edit menu, choose "Programs" and browse for an image editor file.

To edit an image: Right-click the image in the Thumbnails window and choose "Open in Editor".


Image Preview

Working With Thumbnails - Full Size Preview

Full Size Preview will open an image from the Thumbnail view at its original size.

To select an image to view: right-click the image from the thumbnails window and choose "Preview".


ScriptWorx Help Topic

Help Topic: Working with Hyperlinks


Creating Hyperlinks

Using Hyperlinks - Creating a Hyperlink

The hyperlink is the HTML component that allows your visitor to move from one page to another, all with the click of a mouse. Hyperlinks are also examined in the HTML Reference guide supplied with ScriptWorx.

Link To

This specifies the URL of the page you wish to move to. This can take the form of http://myname/document.htm or it can be /directory/document.htm. You can also use links to e-mail addresses, newsgroups, resources and secure pages.

Target

In a frames-based site, this tells the browser the name of the frame to display the page in. It can also define if the hyperlink will open in a new window (_blank) or this default can be left blank.

Style

This is an example of in-line style sheets. You can specify any CSS values here of the format:

body-background: #ffffff; font-family: Verdana, Arial;

Not all browsers support this.

Name

This can be used to assign a name to a hyperlink object, which can be useful when combined with JavaScript.

Class

If a style-sheet class has been defined by a pair of <style></style> tags or in an external stylesheet, the formatting of the class can be applied to the hyperlink by using this option.

 Command:
 Insert Menu - Hyperlink


Types of Hyperlink

Using Hyperlinks - Types of Hyperlink
A hyperlink acts as a link between two resources, or on the web, between two pages. However, you may wish to provide links to an e-mail address, or even a news server. The following is a good example of all the different types of link:
Type | Denoted By | Example
Web Page | http:// | http://www.softlite.net
FTP Server | ftp:// | ftp://www.softlite.net
E-Mail Address | mailto: | mailto:feedback@softlite.net
News Server | nntp:// | nntp://news.softlite.net


ScriptWorx Help Topic

Help Topic: Electronic Services


Search Engine Position Analyzer

To use the SEPA facility: choose "Search Engine Position Analyzer" from the tools menu.

The Search Engine Position Analyzer (SEPA) will accept a URL and keywords, which are then cross-checked against ten major search engines for the position of the URL. Ideally, a URL should appear within the top ten for each search engine.


Validate Code Online

Online HTML Validation

To validate your code online: choose "Online Validators" from the tidy menu.

ScriptWorx can upload a copy of your page to the Web Design Group's validation engine, which checks HTML code for validity and syntax. Any faults can usually be rectified by choosing "Fix and Format HTML" on the tidy menu.


Update ScriptWorx Online

To check for and download new editions of ScriptWorx: choose "Update ScriptWorx" from the tools menu.

Minor updates and service fixes for ScriptWorx can be checked for automatically by ScriptWorx, which then downloads appropriate updates (which the user can customize or ignore) and installs them.


ScriptWorx Help Topic

Help Topic: Keyboard Shortcuts


Shortcuts for File Menu

Keyboard Shortcuts - File Menu
New Blank File | Ctrl + N
Open from Local | Ctrl + O
Open from Web | Ctrl + W
Save | Ctrl + S
Print | Ctrl + P
Exit | Atl + X


Shortcuts for Edit Menu

Keyboard Shortcuts - Edit Menu
Undo | Ctrl + Z
Redo | Ctrl + Y
Cut | Ctrl + X
Copy | Ctrl + C
Paste | Ctrl + V
Select All | Ctrl + A


Shortcuts for View Menu

Keyboard Shortcuts - View Menu
TagInspector | Ctrl + Q
Object Explorer | Ctrl + Alt + J
XML Explorer | Ctrl + Alt + X


Shortcuts for Search Menu

Keyboard Shortcuts - Search Menu
Find | Ctrl + F
Replace | Ctrl + R
Extended Find and Replace | Ctrl + Shift + R
Go To Line | Ctrl + G


Shortcuts for Insert Menu

Keyboard Shortcuts - Insert Menu
Image | Ctrl + I
Rollover Image | Ctrl + L
Table | Ctrl + T
Hyperlink | Ctrl + H


Shortcuts for Tidy Menu

Keyboard Shortcuts - Tidy Menu
Format HTML | Ctrl + Shift + F
Format and Tidy HTML | Ctrl + Shift + T
Upgrade to Style Sheets | Ctrl + Shift + S
Upgrade to XML 1.0 | Ctrl + Shift + X
Compress Document | Ctrl + Shift + C


Custom Toolbars

Accessibility - Custom Toolbars

Every toolbar and menu within ScriptWorx can be fully customized, using a simple drag-and-drop system to add or remove buttons and reposition toolbars. You may also add or deleted toolbars and menus, giving you more screen space or more refined control of the interface.

To begin, right-click on any toolbar or menu and choose "Customize..." from the pop-up list. To add, delete or view a toolbar, look at this first "tab":

Placing a check-mark next to each toolbar makes it visible, whilst clicking the check will remove it and hide the toolbar. Each toolbar can have commands dragged from lists like those shown below on to itself, whilst dragging commands off the toolbar hides the appropriate button for you. Commands are grouped for easy access.


Showing Full Toolbars

Accessibility - Showing Full Toolbars

ScriptWorx automatically hides any buttons on toolbars which cannot fit into a space on screen, but a quick access method allows you use the (temporarily) hidden buttons.

At the end of any toolbar which has been shrunk or shortened, click the >> button on the far right edge of the toolbar. You will now see a drop-down menu with all the hidden options.


Introduction to Database Connectivity

Database Connectivity - Introduction

ScriptWorx offers native access to ADO, ODBC and MySQL datasources, connecting you to the most popular application servers in the world. Never before has it been easier to connect to your data in a text-based web editor.

  • Connections
  • Create Query/Recordset Action
  • Create Insert Record Action
  • Create Update Record Action
  • Create Delete Record Action
  • Creating Master/Detail Action
  • Insert Dynamic Control s
  • Insert Dynamic Information

You may also wish to view the following documents.

  • Requirements for using ASP connections.
  • Requirements for ColdFusion connections.
  • Requirements for PHP connections.


Repairing ScriptWorx

Installing ScriptWorx - Repairing ScriptWorx on Your PC

To repair your ScriptWorx installation (within ScriptWorx): Choose "Detect and Repair" from the Help menu.

ScriptWorx is supplied with an integrated diagnostics program, which will examine your ScriptWorx installation for faults or problems. The integrated option will check program settings, registry entries, file entegrity and application security.

Should any problems be noted, we recommend you run the Repair option, which will restore ScriptWorx to its default file system and options.

If you can't run ScriptWorx at all: re-run the ScriptWorx installation and choose the "Repair" option

or

Go to the Control Panel in Windows, choose "Add/Remove" programs and select "ScriptWorx 5" from the list.


Working with Toolbars

Introduction to the Interface - Toolbars

Each toolbar in ScriptWorx can be dragged and dropped using the small, dotted line at the top or left corner of the toolbar (see figure 1). There are dock areas on all four sides of the window to allow you to organize your toolbars.

To switch a toolbar off (including the Code Controller), right-click it and click on the name of the toolbar you would like to remove. If you removed this toolbar by mistake, you can retrieve it by right-clicking on any other toolbar and select the missing toolbar again to show it.

Toolbars and menus can be customized, on the premise that commands can be dragged, dropped or removed from a toolbar. There are two methods of performing this.

A - Quick Customize

Look at the right-most part of a toolbar for a small, downward facing arrow. Click this using you left mouse button, and you will see a list of commands available for the toolbar you are customizing. Click each command to switch it on or off (see figure 2)

B - Fully Customize

Right-click on any toolbar, and choose the "Customize" option from the menu. You will now see a window with several tabs in it, you must click the "Commands" tab:

  • Choose a command category from the list.
  • Find the command you want from the "Commands" list.
  • Drag and drop the command onto any toolbar or menu (press and hold down your left mouse button whilst dragging).
  • Click the "Close" button.

Figure 1.

Figure 2.


Scripting the Interface - AppObject

Introduction to the Interface - Scripting Guide

App Object: Properties and Methods

Properties
Caption | Changes the titlebar text of the application.
Height | Height of the application window (pixels)
Left | Position x pixels from the left screen edge
Top | Position x pixels from the top screen edge
Width | Width of the application window (pixels)
Methods
BringToFront | Brings the main window to the front of the screen
Close | Closes the window but leaves the application running


Scripting the Interface - Dialogs

Introduction to the Interface - Scripting Guide

OpenDlg, SaveDlg Object: Properties and Methods

Properties
DefaultExt | Sets the default file extension (do not include a period)
Filename | The selected file in the dialog's file list
InitialDir | Changes the default directory of the dialog
Title | Sets the caption in the title bar
Methods
Execute | Displays the file selection dialog


Scripting the Interface - Editor Object

Introduction to the Interface - Scripting Guide

The Editor Object: Properties and Methods

Properties
Font.Name | Specifies editor font (String)
Font.Size | Specifies the size of the editor font (Integer)
GutterWidth | Sets width of gutter in pixels (Integer)
HideScrollbars | Toggles scrollbar visibility (Boolean: True, False)
LineHeight | Height of a line in pixels (Integer)
SelText | Text selected in the editor (String)
TemplatesType | TagTemplates (Custom, Delphi, C++ Builder, Clipper)
UndoLimit | Sets the number of possible undo actions (Integer)
Wordwrap | Wraps text at a given value (Boolean: True, False)
Methods
CutToClipboard | Cut selected text to clipboard (x)
CopyToClipboard | Copy selected text to clipboard (x)
Clear | Empties editor of all text
ExportToHTML(s) | Ouput a color-coded representation of code to file
ExportToRTF(s) | Ouput a color-coded representation of code to file
GetSource.Insert(s) | Inserts text at current position
ShowGoToLineDialog | Shows the jump-to-line dialog
ShowSearchDialog | Shows the find dialog
ShowReplaceDialog | Shows the find and replace dialog
TextAtCursor | Returns text directly below cursor
Lines.Add(s) | Adds text at end of the document
Lines.Delete(i) | Deletes a line of text from the document
Lines.LoadFromFile(s) | Loads a file from disk
Lines.SaveToFile(s) | Saves a file to disk
PasteFromClipboard | Paste text from the clipboard
SelectAll | Select all the text in the editor


Scripting the Interface - Introduction

Introduction to the Interface - Scripting Guide

{content}The ScriptWorx interface can now be scripted, using languages like JavaScript and VBScript to automate tasks, add new functionality or to update existing features. ScriptWorx requires the Microsoft ActiveScripting to be installed on your PC, which is included with Internet Explorer 4.0 or above.

To get the ActiveScripting technology, please visit http://www.microsoft.com/msdownload/vbscript/scripting.asp

Rather than provide access to multiple scripts, each script is located under a tab on the "Actions" bar. Each tab reflects the name of the author or company, so that scripts by the same author appear under each tab. If the script file has an extension called .js then ScriptWorx switches to JavaScript mode, whereas an extension like .vb or .vbs switches the program to VBScript mode.

 {sidebar}


Scripting the Interface - Predefined Functions

Introduction to the Interface - Scripting Guide

There is no main "function" name, you simply start scripting at the top of the file. You can add various subroutines and functions to a script, if you need to manage a lot of data.

Objects

App object
This object provides access to the main interface, such as screen positions and tools.

Editor object
This object represents the text editor that is currently active.

Highlighter object
This object provides access to the syntax highlighting scheme used in the active editor.

OpenDlg object
Exposes standard Windows "Open" dialog to the script.

SaveDlg object
Exposes standard Windows "Save" dialog to the script.

Timer object
This object can control timer intervals and activity of timed backups.


Speech Dictation

Introduction to the Interface - Speech Recognition

Dictating a Document
> Toolbar: Speech (Listen Button)

The speech toolbar on the editing window can start, pause or stop dictation. To begin dictation, click the "Listen" button, which will change color. When you switch speech "on", you can begin dictating your document immediately. To switch speech recognition off, you can alternatively use the "Recognition Off!" command through your microphone.

Dictation is unavailable for users of Windows 95.


An Introduction to Speech Services

Introduction to the Interface - Speech Recognition
ScriptWorx boasts a fast and powerful speech recognition system and text-to-speech synthesis. It's now possible for non-typists to work more easily with the program, or even addressing additional needs (such as arthritic conditions). By default, speech recognition is turned off.


Text to Speech

Introduction to the Interface - Text to Speech

Setting Speech Properties
> Preferences Dialog: Speech

Every major dialog box has text-to-speech enabled - just click the label next to any option to hear the name of the control.


Text to Speech

Introduction to the Interface - Speech Recognition

Setting Speech Properties
> Preferences Dialog: Speech

To activate speech recognition for dictation purposes, check the box labelled "Enable Speech Recognition".

To activate text-to-speech features, check the box labelled "Enable Text to Speech".

You will need a close talk microphone, available separately (or recommend retailers on our web site), to use speech recognition. Installation of the microphone can be achieved in a few steps:

  • Insert the microphone plug into the "Microphone" socket on your sound card.
  • (Optional): Plug the speaker jack into the "Audio Out" socket on your sound card.
  • Use the "Speech" dialog in the Windows Control Panel to adjust the microphone settings or to train the microphone.


Checking Spelling

Spell Checking Documents - Checking Your Document

> Tools Menu - Spell Check

To spell check your document, choose the "Spell Check" menu option to begin checking:

You can select a replacement from the "Suggestions" box (if available) or choose to ignore the instance of a word once or throughout your document, or you can also add the word to your personal dictionary.


Customizing Spell Checks

Spell Checking Documents - Customizing the Spell Checker

> Edit Menu - Preferences - Spelling

There are many ways in which you may customize the spell checker to your satisfaction, such as ignoring HTML tags and words with numbers. The easiest way is to open the "Preferences" window and choosing "Spelling" from the list.

Ignore HTML and XML Tags
Select this option to prevent tags from being checked (recommended).

Ignore Internet Addresses
Prevents the spell check engine from reporting addresses like http://www.softlite.net and so on.

Ignore All Uppercase
Set this to prevent the spell checker from highlighting words in uppercase, something which is quite common in HTML and XML documents.

Ignore Abbreviations
By default, the dictionary does not contain any abbreviations, such as degrees (eg. MSc etc.) or stock market ticker symbols, which will be ignored by the spell check if this option is set to true.

Ignore Quoted Lines
This option may be used to prevent quote material from being checked by the spell checker, particularly if you are quoting in another language.

Ignore Words Containing Numbers
Ignore any words which contain numeric entities.

Suggest from Main Dictionaries
Only Choose this option if you believe your personal dictionary may not have all the words you have in the main dictionary.

Prompt on Repeated
If you've accidentally repeated a word, you will be prompted when the spell checker encounters such an error.


International Spell Checking

Spell Checking Documents - Using International Dictionaries

ScriptWorx ships with dictionaries in Danish, Dutch, French, German, Italian, Norwegian, Polish, Russian, Spanish and Swedish - but you have to select the "Custom" or "Complete" setup types during installation to add these languages. However, you may re-run the ScriptWorx Installer, whilst choosing the "Modify" option. By clicking on each entry and changing it to "Install this feature...", you can have the dictionaries installed.

If you already have such dictionaries installed and would like to change them, run the usual spell check option, and choose the "Options" button.

Click on the "Locate Dictionaries" option, and navigate to the directory where ScriptWorx was installed to (this should be shown by default). After navigating to the appropriate directory, click "OK" and the Dictionaries list will fill with all the dictionaries you opted to install. Simply click the check-box next to each dictionary, and this dictionary will be referenced whilst performing a spell check.


Creating Tables

Working with Tables - Creating a Table

> Insert Menu - Table

To create a table, load the wizard using the commands above. You will now see the Table Wizard, with its own Code Controller Panels docked to the side of the wizard.

Editing a cell is very easy; simply double-click the cell you wish to edit and then insert your text. When you have designed a structure, added some formatting and finally, some text, press "OK" to have the table inserted into your document.

Table formatting is controlled by the "Formatting" code controller panel, simply click the "View" menu, select "Code Controller Panels" and then click "Formatting".

The Table Wizard has two Code Controller Panels, which may be accessed by opening the "View" menu and selecting the "Code Controller Panels" option.

- Structure Panel

This panel allows you to add and remove single or multiple columns, just by clicking the appropriate item on the panel.

- Formatting Panel

When the Table is translated into HTML, the formatting attributes specified here are used when adding the table to your document.